﻿function print(arg)
    DEFAULT_CHAT_FRAME:AddMessage("|cFF33FF99Mark Helper|r: "..arg);
end

function MarkTarget(no)
	if (GetNumPartyMembers() < 1 and GetNumPartyMembers() < 1) then
		print("You can't do this. You have to be in a party/raid!");
	-- elseif not (IsPartyLeader() and IsRaidLeader() and IsRaidOfficer()) then
		-- print("You can't do this. You have to be leader!");
	else
		SetRaidTargetIcon("target", no);
	end
end

function UnMarkAll()
	if (GetNumPartyMembers() < 1 and GetNumPartyMembers() < 1) then
		print("You can't do this. You have to be in a party/raid!");
	-- elseif not (IsPartyLeader() and IsRaidLeader() and IsRaidOfficer()) then
		-- print("You can't do this. You have to be leader!");
	else
		for id = 1, 8 do
			SetRaidTarget("player", id);
		end	
		Button11:SetText(GetTime());
	end
end

function SlashCommandHandler(cmd)
    if (cmd=="") then
		print("Mark Helper v1.0");
        print("Arguments to /markhelper");
        print("toggle - Toggles the main window");
        print("show - Shows the main window");
        print("hide - Hides the main window");
        print("reset - Resets the position of the main window");
    elseif (cmd=="show") then
        MainFrame:Show();
    elseif (cmd=="hide") then
        MainFrame:Hide();
	elseif (cmd=="toggle") then
		if (MainFrame:IsVisible()) then
			MainFrame:Hide();
		else
			MainFrame:Show();
		end
    elseif (cmd=="reset") then
        MainFrame:SetPoint("TOPLEFT", "UIParent", "TOPLEFT", 0, -400);
        MainFrame:Show();
    else 
		print(" - "..cmd.." - unknown argument. Write /markhelper to display commands.");
    end
end

function AddSlashCommandHandler()
    SlashCmdList["MARKHELPER"] = SlashCommandHandler;
    SLASH_MARKHELPER1 = "/markhelper";
    SLASH_MARKHELPER2 = "/mh";
end

function MainFrame_Init()
    this:RegisterForDrag("LeftButton");
    print("Addon loaded. Write /markhelper to display commands.");
    AddSlashCommandHandler();
end

function MainFrame_Update()
	text = Button11:GetText();
	if not (text == "0") then 
		if (GetTime() > text + 0.75) then
			SetRaidTarget("player", 0);
			Button11:SetText("0");
		end
	end
end
